Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDynamicLoader Class Reference

`#include <vtkDynamicLoader.h>`

Inheritance diagram for vtkDynamicLoader:

[legend]
Collaboration diagram for vtkDynamicLoader:

[legend]
List of all members.

## Detailed Description

class interface to system dynamic libraries

Date:
  2002/12/26 18:24:21

Revision:
  1.19

vtkDynamicLoader provides a portable interface to loading dynamic libraries into a process.

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (66%)
  - Starreveld, Yves (10%)
  - Martin, Ken (8%)
  - King, Brad (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkDynamicLoader.cxx)`
  - .`h` (`/Common/vtkDynamicLoader.h)`

Definition at line 58 of file vtkDynamicLoader.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkDynamicLoader * | New ()
int | IsTypeOf (const char *type)
vtkDynamicLoader * | SafeDownCast (vtkObject *o)
vtkLibHandle | OpenLibrary (const char *)
void * | GetSymbolAddress (vtkLibHandle, const char *)
const char * | LibPrefix ()
const char * | LibExtension ()
const char * | LastError ()
int | CloseLibrary (vtkLibHandle)
## Protected Methods
| vtkDynamicLoader ()
| ~vtkDynamicLoader ()

## Member Typedef Documentation

typedef vtkObject vtkDynamicLoader::Superclass

| Reimplemented from vtkObject. Definition at line 62 of file vtkDynamicLoader.h.

## Constructor & Destructor Documentation

vtkDynamicLoader::vtkDynamicLoader | ( |  | ) | `[inline, protected]`

| Definition at line 89 of file vtkDynamicLoader.h.

vtkDynamicLoader::~vtkDynamicLoader | ( |  | ) | `[inline, protected]`

| Definition at line 90 of file vtkDynamicLoader.h.

## Member Function Documentation

vtkDynamicLoader* vtkDynamicLoader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDynamicLoader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkDynamicLoader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkDynamicLoader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkDynamicLoader* vtkDynamicLoader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

vtkLibHandle vtkDynamicLoader::OpenLibrary | ( | const char * |  | ) | `[static]`

| Load a dynamic library into the current process. The returned vtkLibHandle can be used to access the symbols in the library.

int vtkDynamicLoader::CloseLibrary | ( | vtkLibHandle |  | ) | `[static]`

| Attempt to detach a dynamic library from the process. A value of true is returned if it is successful.

void* vtkDynamicLoader::GetSymbolAddress | ( | vtkLibHandle | ,
|  | const char * |
| ) | `[static]`

| Find the address of the symbol in the given library

const char* vtkDynamicLoader::LibPrefix | ( |  | ) | `[static]`

| Return the library prefix for the given architecture

const char* vtkDynamicLoader::LibExtension | ( |  | ) | `[static]`

| Return the library extension for the given architecture

const char* vtkDynamicLoader::LastError | ( |  | ) | `[static]`

| Return the last error produced from a calls made on this class.

The documentation for this class was generated from the following file:

- Common/vtkDynamicLoader.h